
***crcb
***2020_eu_crrptn
***"Magyarorszag a NER utjan"


***2006

*** "\...\" = any subdirectory 

import delimited "C:\...\TED - Contract award notices 2006.csv", clear
tostring  crit_price_weight, replace
format crit_price_weight %20s
tostring number_tenders_other_eu, replace
tostring number_tenders_non_eu, replace
foreach var of varlist _all {
label var `var' ""
}

format year         %4.0g
format id_type      %2.0g
format cancelled    %2.0g
format corrections  %2.0g

***cae_name

gen str100 iname   =cae_name
format iname %100s

***cae_town

gen str100 itown=cae_town
format itown %100s

***cae_postal_code

gen str20  izipcode=cae_postal_code
format izipcode %20s

***cae_type

gen str3  itype=cae_type
format itype %3s

***win_name

gen str100 wname   =win_name
format wname %100s

***win_town

gen str200 wtown=win_town
format wtown %200s

***win_postal_code

gen str20  wzipcode=win_postal_code
format wzipcode %20s

***win_country_code

gen str10 wcountry  =win_country_code
format wcountry %100s

***iso_country_code

gen str10  ccode=iso_country_code
format ccode %10s

***main_activity

gen str100 mactivity=main_activity
format mactivity %100s

***type_of_contract

gen int tcontract=.
format tcontract %1.0g
*** W == works
replace tcontract=1 if type_of_contract=="W"
*** U == supplies 
replace tcontract=2 if type_of_contract=="U"
*** S == supplies 
replace tcontract=3 if type_of_contract=="S"

***Framework Agreement

gen int fwa=0
format  fwa %1.0g
replace fwa=1 if b_fra_agreement=="Y"

***Government Procurement Agreement

gen int gpa=0
format gpa %1.0g
replace gpa=1 if b_gpa=="Y"

***EU

gen int eu=0
format eu %1.0g
replace eu=1 if b_eu_funds=="Y"

***top_type

format top_type %3s

***crit_code
***M ==Most economically advantageous tender
***L ==Lowest price 

gen int critcode=0
format  critcode %1.0g
replace critcode=1 if crit_code=="L"

***

format crit_price_weight %3s

***b_electronic_auction

gen int eauction=0
format  eauction %1.0g
replace eauction=1 if b_electronic_auction=="Y"

***

format number_offers %4.0g

***

format number_tenders_other_eu %4s

***

format number_tenders_non_eu %4s

***

gen      id = _n
format   id %12.0g
replace  id=id+6000000

***ted_notice_url

gen str60 url=ted_notice_url
format url %60s

***

destring award_est_value_euro, replace
destring award_value_euro, force replace
destring award_value_euro_fin_1, force replace
format award_est_value_euro %16.0g
keep  id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
format award_value_euro %16.0g
format award_value_euro_fin_1 %16.0g
order id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
save "C:\...\data06.dta", replace

clear

***2007

import delimited "C\...\TED - Contract award notices 2007.csv", clear
tostring  crit_price_weight, replace
format crit_price_weight %20s
tostring number_tenders_other_eu, replace
tostring number_tenders_non_eu, replace
foreach var of varlist _all {
label var `var' ""
}

format year         %4.0g
format id_type      %2.0g
format cancelled    %2.0g
format corrections  %2.0g

***cae_name

gen str100 iname   =cae_name
format iname %100s

***cae_town

gen str100 itown=cae_town
format itown %100s

***cae_postal_code

gen str20  izipcode=cae_postal_code
format izipcode %20s

***cae_type

gen str3  itype=cae_type
format itype %3s

***win_name

gen str100 wname   =win_name
format wname %100s

***win_town

gen str200 wtown=win_town
format wtown %200s

***win_postal_code

gen str20  wzipcode=win_postal_code
format wzipcode %20s

***win_country_code

gen str10 wcountry  =win_country_code
format wcountry %100s

***iso_country_code

gen str10  ccode=iso_country_code
format ccode %10s

***main_activity

gen str100 mactivity=main_activity
format mactivity %100s

***type_of_contract

gen int tcontract=.
format tcontract %1.0g
*** W == works
replace tcontract=1 if type_of_contract=="W"
*** U == supplies 
replace tcontract=2 if type_of_contract=="U"
*** S == supplies 
replace tcontract=3 if type_of_contract=="S"

***Framework Agreement

gen int fwa=0
format  fwa %1.0g
replace fwa=1 if b_fra_agreement=="Y"

***Government Procurement Agreement

gen int gpa=0
format gpa %1.0g
replace gpa=1 if b_gpa=="Y"

***EU

gen int eu=0
format eu %1.0g
replace eu=1 if b_eu_funds=="Y"

***top_type

format top_type %3s

***crit_code
***M ==Most economically advantageous tender
***L ==Lowest price 

gen int critcode=0
format  critcode %1.0g
replace critcode=1 if crit_code=="L"

***

format crit_price_weight %3s

***b_electronic_auction

gen int eauction=0
format  eauction %1.0g
replace eauction=1 if b_electronic_auction=="Y"

***

format number_offers %4.0g

***

format number_tenders_other_eu %4s

***

format number_tenders_non_eu %4s

***

gen      id = _n
format   id %12.0g
replace  id=id+7000000

***

gen str60 url=ted_notice_url
format url %60s

***

destring award_est_value_euro, replace
destring award_value_euro, force replace
destring award_value_euro_fin_1, force replace
format award_est_value_euro %16.0g
keep  id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
format award_value_euro %16.0g
format award_value_euro_fin_1 %16.0g
order id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
save "C:\...\data07.dta", replace


clear

***2008

import delimited "C:...\TED - Contract award notices 2008.csv", clear
tostring  crit_price_weight, replace
format crit_price_weight %20s
tostring number_tenders_other_eu, replace
tostring number_tenders_non_eu, replace
foreach var of varlist _all {
label var `var' ""
}

format year         %4.0g
format id_type      %2.0g
format cancelled    %2.0g
format corrections  %2.0g

***cae_name

gen str100 iname   =cae_name
format iname %100s

***cae_town

gen str100 itown=cae_town
format itown %100s

***cae_postal_code

gen str20  izipcode=cae_postal_code
format izipcode %20s

***cae_type

gen str3  itype=cae_type
format itype %3s

***win_name

gen str100 wname   =win_name
format wname %100s

***win_town

gen str200 wtown=win_town
format wtown %200s

***win_postal_code

gen str20  wzipcode=win_postal_code
format wzipcode %20s

***win_country_code

gen str10 wcountry  =win_country_code
format wcountry %100s

***iso_country_code

gen str10  ccode=iso_country_code
format ccode %10s

***main_activity

gen str100 mactivity=main_activity
format mactivity %100s

***type_of_contract

gen int tcontract=.
format tcontract %1.0g
*** W == works
replace tcontract=1 if type_of_contract=="W"
*** U == supplies 
replace tcontract=2 if type_of_contract=="U"
*** S == supplies 
replace tcontract=3 if type_of_contract=="S"

***Framework Agreement

gen int fwa=0
format  fwa %1.0g
replace fwa=1 if b_fra_agreement=="Y"

***Government Procurement Agreement

gen int gpa=0
format gpa %1.0g
replace gpa=1 if b_gpa=="Y"

***EU

gen int eu=0
format eu %1.0g
replace eu=1 if b_eu_funds=="Y"

***top_type

format top_type %3s

***crit_code
***M ==Most economically advantageous tender
***L ==Lowest price 

gen int critcode=0
format  critcode %1.0g
replace critcode=1 if crit_code=="L"

***

format crit_price_weight %3s

***b_electronic_auction

gen int eauction=0
format  eauction %1.0g
replace eauction=1 if b_electronic_auction=="Y"

***

format number_offers %4.0g

***

format number_tenders_other_eu %4s

***

format number_tenders_non_eu %4s

***

gen      id = _n
format   id %12.0g
replace  id=id+8000000

***

gen str60 url=ted_notice_url
format url %60s

***

destring award_est_value_euro, replace
destring award_value_euro, force replace
destring award_value_euro_fin_1, force replace
format award_est_value_euro %16.0g
keep  id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
format award_value_euro %16.0g
format award_value_euro_fin_1 %16.0g
order id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
save "C:\...data08.dta", replace

clear

***2009

import delimited "C:\...\TED - Contract award notices 2009.csv", clear
tostring  crit_price_weight, replace
format crit_price_weight %20s
tostring number_tenders_other_eu, replace
tostring number_tenders_non_eu, replace
foreach var of varlist _all {
label var `var' ""
}

format year         %4.0g
format id_type      %2.0g
format cancelled    %2.0g
format corrections  %2.0g

***cae_name

gen str100 iname   =cae_name
format iname %100s

***cae_town

gen str100 itown=cae_town
format itown %100s

***cae_postal_code

gen str20  izipcode=cae_postal_code
format izipcode %20s

***cae_type

gen str3  itype=cae_type
format itype %3s

***win_name

gen str100 wname   =win_name
format wname %100s

***win_town

gen str200 wtown=win_town
format wtown %200s

***win_postal_code

gen str20  wzipcode=win_postal_code
format wzipcode %20s

***win_country_code

gen str10 wcountry  =win_country_code
format wcountry %100s

***iso_country_code

gen str10  ccode=iso_country_code
format ccode %10s

***main_activity

gen str100 mactivity=main_activity
format mactivity %100s

***type_of_contract

gen int tcontract=.
format tcontract %1.0g
*** W == works
replace tcontract=1 if type_of_contract=="W"
*** U == supplies 
replace tcontract=2 if type_of_contract=="U"
*** S == supplies 
replace tcontract=3 if type_of_contract=="S"

***Framework Agreement

gen int fwa=0
format  fwa %1.0g
replace fwa=1 if b_fra_agreement=="Y"

***Government Procurement Agreement

gen int gpa=0
format gpa %1.0g
replace gpa=1 if b_gpa=="Y"

***EU

gen int eu=0
format eu %1.0g
replace eu=1 if b_eu_funds=="Y"

***top_type

format top_type %3s

***crit_code
***M ==Most economically advantageous tender
***L ==Lowest price 

gen int critcode=0
format  critcode %1.0g
replace critcode=1 if crit_code=="L"

***

format crit_price_weight %3s

***b_electronic_auction

gen int eauction=0
format  eauction %1.0g
replace eauction=1 if b_electronic_auction=="Y"

***

format number_offers %4.0g

***

format number_tenders_other_eu %4s

***

format number_tenders_non_eu %4s

***

gen      id = _n
format   id %12.0g
replace  id=id+9000000

***

gen str60 url=ted_notice_url
format url %60s

***

destring award_est_value_euro, replace
destring award_value_euro, force replace
destring award_value_euro_fin_1, force replace
format award_est_value_euro %16.0g
keep  id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
format award_value_euro %16.0g
format award_value_euro_fin_1 %16.0g
order id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
save "C:\...\data09.dta", replace

clear

***2010

import delimited "C:\...\TED - Contract award notices 2010.csv", clear
tostring  crit_price_weight, replace
format crit_price_weight %20s
tostring number_tenders_other_eu, replace
tostring number_tenders_non_eu, replace
foreach var of varlist _all {
label var `var' ""
}

format year         %4.0g
format id_type      %2.0g
format cancelled    %2.0g
format corrections  %2.0g

***cae_name

gen str100 iname   =cae_name
format iname %100s

***cae_town

gen str100 itown=cae_town
format itown %100s

***cae_postal_code

gen str20  izipcode=cae_postal_code
format izipcode %20s

***cae_type

gen str3  itype=cae_type
format itype %3s

***win_name

gen str100 wname   =win_name
format wname %100s

***win_town

gen str200 wtown=win_town
format wtown %200s

***win_postal_code

gen str20  wzipcode=win_postal_code
format wzipcode %20s

***win_country_code

gen str10 wcountry  =win_country_code
format wcountry %100s

***iso_country_code

gen str10  ccode=iso_country_code
format ccode %10s

***main_activity

gen str100 mactivity=main_activity
format mactivity %100s

***type_of_contract

gen int tcontract=.
format tcontract %1.0g
*** W == works
replace tcontract=1 if type_of_contract=="W"
*** U == supplies 
replace tcontract=2 if type_of_contract=="U"
*** S == supplies 
replace tcontract=3 if type_of_contract=="S"

***Framework Agreement

gen int fwa=0
format  fwa %1.0g
replace fwa=1 if b_fra_agreement=="Y"

***Government Procurement Agreement

gen int gpa=0
format gpa %1.0g
replace gpa=1 if b_gpa=="Y"

***EU

gen int eu=0
format eu %1.0g
replace eu=1 if b_eu_funds=="Y"

***top_type

format top_type %3s

***crit_code
***M ==Most economically advantageous tender
***L ==Lowest price 

gen int critcode=0
format  critcode %1.0g
replace critcode=1 if crit_code=="L"

***

format crit_price_weight %3s

***b_electronic_auction

gen int eauction=0
format  eauction %1.0g
replace eauction=1 if b_electronic_auction=="Y"

***

format number_offers %4.0g

***

format number_tenders_other_eu %4s

***

format number_tenders_non_eu %4s

***

gen      id = _n
format   id %12.0g
replace  id=id+10000000

***

gen str60 url=ted_notice_url
format url %60s

***

destring award_est_value_euro, replace
destring award_value_euro, force replace
destring award_value_euro_fin_1, force replace
format award_est_value_euro %16.0g
keep  id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
format award_value_euro %16.0g
format award_value_euro_fin_1 %16.0g
order id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
save "C:\...\data10.dta", replace

clear

***2011

import delimited "C:\...\TED - Contract award notices 2011.csv", clear
tostring  crit_price_weight, replace
format crit_price_weight %20s
tostring number_tenders_other_eu, replace
tostring number_tenders_non_eu, replace
foreach var of varlist _all {
label var `var' ""
}

format year         %4.0g
format id_type      %2.0g
format cancelled    %2.0g
format corrections  %2.0g

***cae_name

gen str100 iname   =cae_name
format iname %100s

***cae_town

gen str100 itown=cae_town
format itown %100s

***cae_postal_code

gen str20  izipcode=cae_postal_code
format izipcode %20s

***cae_type

gen str3  itype=cae_type
format itype %3s

***win_name

gen str100 wname   =win_name
format wname %100s

***win_town

gen str200 wtown=win_town
format wtown %200s

***win_postal_code

gen str20  wzipcode=win_postal_code
format wzipcode %20s

***win_country_code

gen str10 wcountry  =win_country_code
format wcountry %100s

***iso_country_code

gen str10  ccode=iso_country_code
format ccode %10s

***main_activity

gen str100 mactivity=main_activity
format mactivity %100s

***type_of_contract

gen int tcontract=.
format tcontract %1.0g
*** W == works
replace tcontract=1 if type_of_contract=="W"
*** U == supplies 
replace tcontract=2 if type_of_contract=="U"
*** S == supplies 
replace tcontract=3 if type_of_contract=="S"

***Framework Agreement

gen int fwa=0
format  fwa %1.0g
replace fwa=1 if b_fra_agreement=="Y"

***Government Procurement Agreement

gen int gpa=0
format gpa %1.0g
replace gpa=1 if b_gpa=="Y"

***EU

gen int eu=0
format eu %1.0g
replace eu=1 if b_eu_funds=="Y"

***top_type

format top_type %3s

***crit_code
***M ==Most economically advantageous tender
***L ==Lowest price 

gen int critcode=0
format  critcode %1.0g
replace critcode=1 if crit_code=="L"

***

format crit_price_weight %3s

***b_electronic_auction

gen int eauction=0
format  eauction %1.0g
replace eauction=1 if b_electronic_auction=="Y"

***

format number_offers %4.0g

***

format number_tenders_other_eu %4s

***

format number_tenders_non_eu %4s

***

gen      id = _n
format   id %12.0g
replace  id=id+11000000

***

gen str60 url=ted_notice_url
format url %60s

***

destring award_est_value_euro, replace
destring award_value_euro, force replace
destring award_value_euro_fin_1, force replace
format award_est_value_euro %16.0g
keep  id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
format award_value_euro %16.0g
format award_value_euro_fin_1 %16.0g
order id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
save "C:\...\data11.dta", replace

clear

***2012

import delimited "C:\...\TED - Contract award notices 2012.csv", clear
tostring  crit_price_weight, replace
format crit_price_weight %20s
tostring number_tenders_other_eu, replace
tostring number_tenders_non_eu, replace
foreach var of varlist _all {
label var `var' ""
}

format year         %4.0g
format id_type      %2.0g
format cancelled    %2.0g
format corrections  %2.0g

***cae_name

gen str100 iname   =cae_name
format iname %100s

***cae_town

gen str100 itown=cae_town
format itown %100s

***cae_postal_code

gen str20  izipcode=cae_postal_code
format izipcode %20s

***cae_type

gen str3  itype=cae_type
format itype %3s

***win_name

gen str100 wname   =win_name
format wname %100s

***win_town

gen str200 wtown=win_town
format wtown %200s

***win_postal_code

gen str20  wzipcode=win_postal_code
format wzipcode %20s

***win_country_code

gen str10 wcountry  =win_country_code
format wcountry %100s

***iso_country_code

gen str10  ccode=iso_country_code
format ccode %10s

***main_activity

gen str100 mactivity=main_activity
format mactivity %100s

***type_of_contract

gen int tcontract=.
format tcontract %1.0g
*** W == works
replace tcontract=1 if type_of_contract=="W"
*** U == supplies 
replace tcontract=2 if type_of_contract=="U"
*** S == supplies 
replace tcontract=3 if type_of_contract=="S"

***Framework Agreement

gen int fwa=0
format  fwa %1.0g
replace fwa=1 if b_fra_agreement=="Y"

***Government Procurement Agreement

gen int gpa=0
format gpa %1.0g
replace gpa=1 if b_gpa=="Y"

***EU

gen int eu=0
format eu %1.0g
replace eu=1 if b_eu_funds=="Y"

***top_type

format top_type %3s

***crit_code
***M ==Most economically advantageous tender
***L ==Lowest price 

gen int critcode=0
format  critcode %1.0g
replace critcode=1 if crit_code=="L"

***

format crit_price_weight %3s

***b_electronic_auction

gen int eauction=0
format  eauction %1.0g
replace eauction=1 if b_electronic_auction=="Y"

***

format number_offers %4.0g

***

format number_tenders_other_eu %4s

***

format number_tenders_non_eu %4s

***

gen      id = _n
format   id %12.0g
replace  id=id+12000000

***

gen str60 url=ted_notice_url
format url %60s

***

destring award_est_value_euro, replace
destring award_value_euro, force replace
destring award_value_euro_fin_1, force replace
format award_est_value_euro %16.0g
keep  id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
format award_value_euro %16.0g
format award_value_euro_fin_1 %16.0g
order id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
save "C:\...\data12.dta", replace

clear

***2013

import delimited "C:\...\TED - Contract award notices 2013.csv", clear
tostring  crit_price_weight, replace
format crit_price_weight %20s
tostring number_tenders_other_eu, replace
tostring number_tenders_non_eu, replace
foreach var of varlist _all {
label var `var' ""
}

format year         %4.0g
format id_type      %2.0g
format cancelled    %2.0g
format corrections  %2.0g

***cae_name

gen str100 iname   =cae_name
format iname %100s

***cae_town

gen str100 itown=cae_town
format itown %100s

***cae_postal_code

gen str20  izipcode=cae_postal_code
format izipcode %20s

***cae_type

gen str3  itype=cae_type
format itype %3s

***win_name

gen str100 wname   =win_name
format wname %100s

***win_town

gen str200 wtown=win_town
format wtown %200s

***win_postal_code

gen str20  wzipcode=win_postal_code
format wzipcode %20s

***win_country_code

gen str10 wcountry  =win_country_code
format wcountry %100s

***iso_country_code

gen str10  ccode=iso_country_code
format ccode %10s

***main_activity

gen str100 mactivity=main_activity
format mactivity %100s

***type_of_contract

gen int tcontract=.
format tcontract %1.0g
*** W == works
replace tcontract=1 if type_of_contract=="W"
*** U == supplies 
replace tcontract=2 if type_of_contract=="U"
*** S == supplies 
replace tcontract=3 if type_of_contract=="S"

***Framework Agreement

gen int fwa=0
format  fwa %1.0g
replace fwa=1 if b_fra_agreement=="Y"

***Government Procurement Agreement

gen int gpa=0
format gpa %1.0g
replace gpa=1 if b_gpa=="Y"

***EU

gen int eu=0
format eu %1.0g
replace eu=1 if b_eu_funds=="Y"

***top_type

format top_type %3s

***crit_code
***M ==Most economically advantageous tender
***L ==Lowest price 

gen int critcode=0
format  critcode %1.0g
replace critcode=1 if crit_code=="L"

***

format crit_price_weight %3s

***b_electronic_auction

gen int eauction=0
format  eauction %1.0g
replace eauction=1 if b_electronic_auction=="Y"

***

format number_offers %4.0g

***

format number_tenders_other_eu %4s

***

format number_tenders_non_eu %4s

***

gen      id = _n
format   id %12.0g
replace  id=id+13000000

***

gen str60 url=ted_notice_url
format url %60s

***

destring award_est_value_euro, replace
destring award_value_euro, force replace
destring award_value_euro_fin_1, force replace
format award_est_value_euro %16.0g
keep  id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
format award_value_euro %16.0g
format award_value_euro_fin_1 %16.0g
order id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
save "C:\...\data13.dta", replace

clear

***2014

import delimited "C:\...\TED - Contract award notices 2014.csv", clear
tostring  crit_price_weight, replace
format crit_price_weight %20s
tostring number_tenders_other_eu, replace
tostring number_tenders_non_eu, replace
foreach var of varlist _all {
label var `var' ""
}

format year         %4.0g
format id_type      %2.0g
format cancelled    %2.0g
format corrections  %2.0g

***cae_name

gen str100 iname   =cae_name
format iname %100s

***cae_town

gen str100 itown=cae_town
format itown %100s

***cae_postal_code

gen str20  izipcode=cae_postal_code
format izipcode %20s

***cae_type

gen str3  itype=cae_type
format itype %3s

***win_name

gen str100 wname   =win_name
format wname %100s

***win_town

gen str200 wtown=win_town
format wtown %200s

***win_postal_code

gen str20  wzipcode=win_postal_code
format wzipcode %20s

***win_country_code

gen str10 wcountry  =win_country_code
format wcountry %100s

***iso_country_code

gen str10  ccode=iso_country_code
format ccode %10s

***main_activity

gen str100 mactivity=main_activity
format mactivity %100s

***type_of_contract

gen int tcontract=.
format tcontract %1.0g
*** W == works
replace tcontract=1 if type_of_contract=="W"
*** U == supplies 
replace tcontract=2 if type_of_contract=="U"
*** S == supplies 
replace tcontract=3 if type_of_contract=="S"

***Framework Agreement

gen int fwa=0
format  fwa %1.0g
replace fwa=1 if b_fra_agreement=="Y"

***Government Procurement Agreement

gen int gpa=0
format gpa %1.0g
replace gpa=1 if b_gpa=="Y"

***EU

gen int eu=0
format eu %1.0g
replace eu=1 if b_eu_funds=="Y"

***top_type

format top_type %3s

***crit_code
***M ==Most economically advantageous tender
***L ==Lowest price 

gen int critcode=0
format  critcode %1.0g
replace critcode=1 if crit_code=="L"

***

format crit_price_weight %3s

***b_electronic_auction

gen int eauction=0
format  eauction %1.0g
replace eauction=1 if b_electronic_auction=="Y"

***

format number_offers %4.0g

***

format number_tenders_other_eu %4s

***

format number_tenders_non_eu %4s

***

gen      id = _n
format   id %12.0g
replace  id=id+14000000

***

gen str60 url=ted_notice_url
format url %60s

***

destring award_est_value_euro, replace
destring award_value_euro, force replace
destring award_value_euro_fin_1, force replace
format award_est_value_euro %16.0g
keep  id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
format award_value_euro %16.0g
format award_value_euro_fin_1 %16.0g
order id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
save "C:\...\data14.dta", replace

clear

***2015

import delimited "C:\...\TED - Contract award notices 2015.csv", clear
tostring  crit_price_weight, replace
format crit_price_weight %20s
tostring number_tenders_other_eu, replace
tostring number_tenders_non_eu, replace
foreach var of varlist _all {
label var `var' ""
}

format year         %4.0g
format id_type      %2.0g
format cancelled    %2.0g
format corrections  %2.0g

***cae_name

gen str100 iname   =cae_name
format iname %100s

***cae_town

gen str100 itown=cae_town
format itown %100s

***cae_postal_code

gen str20  izipcode=cae_postal_code
format izipcode %20s

***cae_type

gen str3  itype=cae_type
format itype %3s

***win_name

gen str100 wname   =win_name
format wname %100s

***win_town

gen str200 wtown=win_town
format wtown %200s

***win_postal_code

gen str20  wzipcode=win_postal_code
format wzipcode %20s

***win_country_code

gen str10 wcountry  =win_country_code
format wcountry %100s

***iso_country_code

gen str10  ccode=iso_country_code
format ccode %10s

***main_activity

gen str100 mactivity=main_activity
format mactivity %100s

***type_of_contract

gen int tcontract=.
format tcontract %1.0g
*** W == works
replace tcontract=1 if type_of_contract=="W"
*** U == supplies 
replace tcontract=2 if type_of_contract=="U"
*** S == supplies 
replace tcontract=3 if type_of_contract=="S"

***Framework Agreement

gen int fwa=0
format  fwa %1.0g
replace fwa=1 if b_fra_agreement=="Y"

***Government Procurement Agreement

gen int gpa=0
format gpa %1.0g
replace gpa=1 if b_gpa=="Y"

***EU

gen int eu=0
format eu %1.0g
replace eu=1 if b_eu_funds=="Y"

***top_type

format top_type %3s

***crit_code
***M ==Most economically advantageous tender
***L ==Lowest price 

gen int critcode=0
format  critcode %1.0g
replace critcode=1 if crit_code=="L"

***

format crit_price_weight %3s

***b_electronic_auction

gen int eauction=0
format  eauction %1.0g
replace eauction=1 if b_electronic_auction=="Y"

***

format number_offers %4.0g

***

format number_tenders_other_eu %4s

***

format number_tenders_non_eu %4s

***

gen      id = _n
format   id %12.0g
replace  id=id+15000000

***

gen str60 url=ted_notice_url
format url %60s

***

destring award_est_value_euro, replace
destring award_value_euro, force replace
destring award_value_euro_fin_1, force replace
format award_est_value_euro %16.0g
keep  id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
format award_value_euro %16.0g
format award_value_euro_fin_1 %16.0g
order id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
save "C:\...\data15.dta", replace

clear

***2016

import delimited "C:\...\TED - Contract award notices 2016.csv", clear
tostring  crit_price_weight, replace
format crit_price_weight %20s
tostring number_tenders_other_eu, replace
tostring number_tenders_non_eu, replace
foreach var of varlist _all {
label var `var' ""
}

format year         %4.0g
format id_type      %2.0g
format cancelled    %2.0g
format corrections  %2.0g

***cae_name

gen str100 iname   =cae_name
format iname %100s

***cae_town

gen str100 itown=cae_town
format itown %100s

***cae_postal_code

gen str20  izipcode=cae_postal_code
format izipcode %20s

***cae_type

gen str3  itype=cae_type
format itype %3s

***win_name

gen str100 wname   =win_name
format wname %100s

***win_town

gen str200 wtown=win_town
format wtown %200s

***win_postal_code

gen str20  wzipcode=win_postal_code
format wzipcode %20s

***win_country_code

gen str10 wcountry  =win_country_code
format wcountry %100s

***iso_country_code

gen str10  ccode=iso_country_code
format ccode %10s

***main_activity

gen str100 mactivity=main_activity
format mactivity %100s

***type_of_contract

gen int tcontract=.
format tcontract %1.0g
*** W == works
replace tcontract=1 if type_of_contract=="W"
*** U == supplies 
replace tcontract=2 if type_of_contract=="U"
*** S == supplies 
replace tcontract=3 if type_of_contract=="S"

***Framework Agreement

gen int fwa=0
format  fwa %1.0g
replace fwa=1 if b_fra_agreement=="Y"

***Government Procurement Agreement

gen int gpa=0
format gpa %1.0g
replace gpa=1 if b_gpa=="Y"

***EU

gen int eu=0
format eu %1.0g
replace eu=1 if b_eu_funds=="Y"

***top_type

format top_type %3s

***crit_code
***M ==Most economically advantageous tender
***L ==Lowest price 

gen int critcode=0
format  critcode %1.0g
replace critcode=1 if crit_code=="L"

***

format crit_price_weight %3s

***b_electronic_auction

gen int eauction=0
format  eauction %1.0g
replace eauction=1 if b_electronic_auction=="Y"

***

format number_offers %4.0g

***

format number_tenders_other_eu %4s

***

format number_tenders_non_eu %4s

***

gen      id = _n
format   id %12.0g
replace  id=id+16000000

***

gen str60 url=ted_notice_url
format url %60s

***

destring award_est_value_euro, replace
destring award_value_euro, force replace
destring award_value_euro_fin_1, force replace
format award_est_value_euro %16.0g
keep  id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
format award_value_euro %16.0g
format award_value_euro_fin_1 %16.0g
order id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
save "C:\...\data16.dta", replace

clear

***2017

import delimited "C:\...\TED - Contract award notices 2017.csv", clear
tostring  crit_price_weight, replace
format crit_price_weight %20s
tostring number_tenders_other_eu, replace
tostring number_tenders_non_eu, replace
foreach var of varlist _all {
label var `var' ""
}

format year         %4.0g
format id_type      %2.0g
format cancelled    %2.0g
format corrections  %2.0g

***cae_name

gen str100 iname   =cae_name
format iname %100s

***cae_town

gen str100 itown=cae_town
format itown %100s

***cae_postal_code

gen str20  izipcode=cae_postal_code
format izipcode %20s

***cae_type

gen str3  itype=cae_type
format itype %3s

***win_name

gen str100 wname   =win_name
format wname %100s

***win_town

gen str200 wtown=win_town
format wtown %200s

***win_postal_code

gen str20  wzipcode=win_postal_code
format wzipcode %20s

***win_country_code

gen str10 wcountry  =win_country_code
format wcountry %100s

***iso_country_code

gen str10  ccode=iso_country_code
format ccode %10s

***main_activity

gen str100 mactivity=main_activity
format mactivity %100s

***type_of_contract

gen int tcontract=.
format tcontract %1.0g
*** W == works
replace tcontract=1 if type_of_contract=="W"
*** U == supplies 
replace tcontract=2 if type_of_contract=="U"
*** S == supplies 
replace tcontract=3 if type_of_contract=="S"

***Framework Agreement

gen int fwa=0
format  fwa %1.0g
replace fwa=1 if b_fra_agreement=="Y"

***Government Procurement Agreement

gen int gpa=0
format gpa %1.0g
replace gpa=1 if b_gpa=="Y"

***EU

gen int eu=0
format eu %1.0g
replace eu=1 if b_eu_funds=="Y"

***top_type

format top_type %3s

***crit_code
***M ==Most economically advantageous tender
***L ==Lowest price 

gen int critcode=0
format  critcode %1.0g
replace critcode=1 if crit_code=="L"

***

format crit_price_weight %3s

***b_electronic_auction

gen int eauction=0
format  eauction %1.0g
replace eauction=1 if b_electronic_auction=="Y"

***

format number_offers %4.0g

***

format number_tenders_other_eu %4s

***

format number_tenders_non_eu %4s

***

gen long id = _n
format   id %12.0g
replace  id=id+17000000

***

gen str60 url=ted_notice_url
format url %60s

***

destring award_est_value_euro, replace
destring award_value_euro, force replace
destring award_value_euro_fin_1, force replace
format award_est_value_euro %16.0g
keep  id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
format award_value_euro %16.0g
format award_value_euro_fin_1 %16.0g
order id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
save "C:\...\data17.dta", replace

clear


***2018

import delimited "C:\...\TED - Contract award notices 2018.csv", clear
tostring  crit_price_weight, replace
format crit_price_weight %20s
tostring number_tenders_other_eu, replace
tostring number_tenders_non_eu, replace
foreach var of varlist _all {
label var `var' ""
}

format year         %4.0g
format id_type      %2.0g
format cancelled    %2.0g
format corrections  %2.0g

***cae_name

gen str100 iname   =cae_name
format iname %100s

***cae_town

gen str100 itown=cae_town
format itown %100s

***cae_postal_code

gen str20  izipcode=cae_postal_code
format izipcode %20s

***cae_type

gen str3  itype=cae_type
format itype %3s

***win_name

gen str100 wname   =win_name
format wname %100s

***win_town

gen str200 wtown=win_town
format wtown %200s

***win_postal_code

gen str20  wzipcode=win_postal_code
format wzipcode %20s

***win_country_code

gen str10 wcountry  =win_country_code
format wcountry %100s

***iso_country_code

gen str10  ccode=iso_country_code
format ccode %10s

***main_activity

gen str100 mactivity=main_activity
format mactivity %100s

***type_of_contract

gen int tcontract=.
format tcontract %1.0g
*** W == works
replace tcontract=1 if type_of_contract=="W"
*** U == supplies 
replace tcontract=2 if type_of_contract=="U"
*** S == supplies 
replace tcontract=3 if type_of_contract=="S"

***Framework Agreement

gen int fwa=0
format  fwa %1.0g
replace fwa=1 if b_fra_agreement=="Y"

***Government Procurement Agreement

gen int gpa=0
format gpa %1.0g
replace gpa=1 if b_gpa=="Y"

***EU

gen int eu=0
format eu %1.0g
replace eu=1 if b_eu_funds=="Y"

***top_type

format top_type %3s

***crit_code
***M ==Most economically advantageous tender
***L ==Lowest price 

gen int critcode=0
format  critcode %1.0g
replace critcode=1 if crit_code=="L"

***

format crit_price_weight %3s

***b_electronic_auction

gen int eauction=0
format  eauction %1.0g
replace eauction=1 if b_electronic_auction=="Y"

***

format number_offers %4.0g

***

format number_tenders_other_eu %4s

***

format number_tenders_non_eu %4s

***

gen long id = _n
format   id %12.0g
replace  id=id+18000000

***

gen str60 url=ted_notice_url
format url %60s

***

destring award_est_value_euro, replace
destring award_value_euro, force replace
destring award_value_euro_fin_1, force replace
format award_est_value_euro %16.0g
keep  id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
format award_value_euro %16.0g
format award_value_euro_fin_1 %16.0g
order id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
save "C:\...\2020_crrptn_data18_210228.dta", replace

clear

***2019

import delimited "C:\...\TED - Contract award notices 2019.csv", clear
tostring  crit_price_weight, replace
format crit_price_weight %20s
tostring number_tenders_other_eu, replace
tostring number_tenders_non_eu, replace
foreach var of varlist _all {
label var `var' ""
}

format year         %4.0g
format id_type      %2.0g
format cancelled    %2.0g
format corrections  %2.0g

***cae_name

gen str100 iname   =cae_name
format iname %100s

***cae_town

gen str100 itown=cae_town
format itown %100s

***cae_postal_code

gen str20  izipcode=cae_postal_code
format izipcode %20s

***cae_type

gen str3  itype=cae_type
format itype %3s

***win_name

gen str100 wname   =win_name
format wname %100s

***win_town

gen str200 wtown=win_town
format wtown %200s

***win_postal_code

gen str20  wzipcode=win_postal_code
format wzipcode %20s

***win_country_code

gen str10 wcountry  =win_country_code
format wcountry %100s

***iso_country_code

gen str10  ccode=iso_country_code
format ccode %10s

***main_activity

gen str100 mactivity=main_activity
format mactivity %100s

***type_of_contract

gen int tcontract=.
format tcontract %1.0g
*** W == works
replace tcontract=1 if type_of_contract=="W"
*** U == supplies 
replace tcontract=2 if type_of_contract=="U"
*** S == supplies 
replace tcontract=3 if type_of_contract=="S"

***Framework Agreement

gen int fwa=0
format  fwa %1.0g
replace fwa=1 if b_fra_agreement=="Y"

***Government Procurement Agreement

gen int gpa=0
format gpa %1.0g
replace gpa=1 if b_gpa=="Y"

***EU

gen int eu=0
format eu %1.0g
replace eu=1 if b_eu_funds=="Y"

***top_type

format top_type %3s

***crit_code
***M ==Most economically advantageous tender
***L ==Lowest price 

gen int critcode=0
format  critcode %1.0g
replace critcode=1 if crit_code=="L"

***

format crit_price_weight %3s

***b_electronic_auction

gen int eauction=0
format  eauction %1.0g
replace eauction=1 if b_electronic_auction=="Y"

***

format number_offers %4.0g

***

format number_tenders_other_eu %4s

***

format number_tenders_non_eu %4s

***

gen long id = _n
format   id %12.0g
replace  id=id+19000000

***

gen str60 url=ted_notice_url
format url %60s

***

destring award_est_value_euro, replace
destring award_value_euro, force replace
destring award_value_euro_fin_1, force replace
format award_est_value_euro %16.0g
keep  id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
format award_value_euro %16.0g
format award_value_euro_fin_1 %16.0g
order id url id_notice_can year id_type cancelled corrections iname itown izipcode itype wname wtown wzipcode wcountry dt_award ccode mactivity tcontract fwa cpv gpa value_euro value_euro_fin_1 value_euro_fin_2 eu top_type critcode crit_price_weight eauction id_award number_offers number_tenders_other_eu number_tenders_non_eu award_est_value_euro award_value_euro award_value_euro_fin_1
save "C:\...\2020_crrptn_data19_210228.dta", replace

clear

***
*** merging 2006-2019 datatables


use                "C:\...\data06.dta"
merge 1:1 id using "C:\...\data07.dta"
drop _merge
save "C:\...\data0607.dta"

use "C:\...\data0607.dta"
merge 1:1 id  using "C:\...\data08.dta"
drop _merge
save "C:\...data0608.dta"

use "C:\...\data0608.dta"
merge 1:1 id  using "C:\...\data09.dta"
drop _merge
save "C:\...\data0609.dta"

use "C:\...\data0609.dta"
merge 1:1 id  using "C:\...\data10.dta"
drop _merge
save "C:\...\data0610.dta"

use "C:\...\data0610.dta"
merge 1:1 id  using "C:\...\data11.dta"
drop _merge
save "C:\...\data0611.dta"

use "C:\...\data0611.dta"
merge 1:1 id  using "C:\...\data12.dta"
drop _merge
save "C:\...\data0612.dta"

use "C:\...\data0612.dta"
merge 1:1 id  using "C:\...\data13.dta"
drop _merge
save "C:\...\data0613.dta"

use "C:\...\data0613.dta"
merge 1:1 id  using "C:\...\data14.dta"
drop _merge
save "C:\...\data0614.dta"

use "C:\...\data0614.dta"
merge 1:1 id  using "C:\...\data15.dta"
drop _merge
save "C:\...\data0615.dta"

use "C:\...\data0615.dta"
merge 1:1 id  using "C:\...\data16.dta"
drop _merge
save "C:\...\data0616.dta"

use "C:\...\data0616.dta"
merge 1:1 id  using "C:\...\data17.dta"
drop _merge
save "C:\...\data0617.dta"

use "C:\...\data0617.dta"
merge 1:1 id  using "C:\...\data18.dta"
drop _merge
save "C:\...\data0618.dta"

***end file construction


***
***variable definition
***

destring cpv, replace
format cpv %12.0g

***cases with missing values

gen miss_wn=0
replace miss_wn=1 if wname==""
gen miss_in=0
replace miss_in=1 if iname==""

gen miss_ncv=0
replace miss_ncv=1 if award_value_euro==.
replace miss_ncv=1 if award_value_euro==0

gen miss_nev=0
replace miss_nev=1 if award_est_value_euro==.
replace miss_nev=1 if award_est_value_euro==0

gen miss_nb=0
replace miss_nb=1 if number_offers==.
replace miss_nb=1 if number_offers==0
	 
gen miss_sum=0
replace miss_sum=miss_nb + miss_ncv + miss_nev + miss_wn + miss_in
recode miss_sum (5=4)

gen missd=0
replace missd=1 if miss_sum>0 & miss_sum!=. 

***good, goodfw
***good=0 if cancelled & corrections>0 & (award_value_euro==. or award_value_euro==0) & id_award==.
***good=0 if wname=="" [miss_wn==1]

gen good=1
replace good=0 if cancelled==1
replace good=0 if corrections>0
replace good=0 if award_value_euro==.
replace good=0 if award_value_euro==0
replace good=0 if id_award==.
replace good=0 if miss_wn==1

gen goodfw=good
replace goodfw=0 if fwa==1

gen goodfwm3=goodfw
replace goodfwm3=0 if miss_sum==3

***sector

destring cpv, gen (cpvx)
gen cpvx=cpv
gen sector=.
replace sector=1  if cpvx>=3000000 &   cpvx<=3999999
replace sector=2  if cpvx>=9000000 &   cpvx<=9999999
replace sector=3  if cpvx>=14000000 & cpvx<=14999999
replace sector=4  if cpvx>=15000000 & cpvx<=15999999
replace sector=5  if cpvx>=16000000 & cpvx<=16999999
replace sector=6  if cpvx>=18000000 & cpvx<=18999999
replace sector=7  if cpvx>=19000000 & cpvx<=19999999
replace sector=8  if cpvx>=22000000 & cpvx<=22999999
replace sector=9  if cpvx>=24000000 & cpvx<=24999999
replace sector=10 if cpvx>=30000000 & cpvx<=30999999
replace sector=11 if cpvx>=31000000 & cpvx<=31999999
replace sector=12 if cpvx>=32000000 & cpvx<=32999999
replace sector=13 if cpvx>=33000000 & cpvx<=33999999
replace sector=14 if cpvx>=34000000 & cpvx<=34999999
replace sector=15 if cpvx>=35000000 & cpvx<=35999999
replace sector=16 if cpvx>=37000000 & cpvx<=37999999
replace sector=17 if cpvx>=38000000 & cpvx<=38999999
replace sector=18 if cpvx>=39000000 & cpvx<=39999999
replace sector=19 if cpvx>=41000000 & cpvx<=41999999
replace sector=20 if cpvx>=42000000 & cpvx<=42999999
replace sector=21 if cpvx>=43000000 & cpvx<=43999999
replace sector=22 if cpvx>=44000000 & cpvx<=44999999
replace sector=23 if cpvx>=45000000 & cpvx<=45999999
replace sector=24 if cpvx>=48000000 & cpvx<=48999999
replace sector=25 if cpvx>=50000000 & cpvx<=50999999
replace sector=26 if cpvx>=51000000 & cpvx<=51999999
replace sector=27 if cpvx>=55000000 & cpvx<=55999999
replace sector=28 if cpvx>=60000000 & cpvx<=64999999
replace sector=29 if cpvx>=65000000 & cpvx<=71999999
replace sector=30 if cpvx>=72000000 & cpvx<=73999999
replace sector=31 if cpvx>=75000000 & cpvx<=98999999

***country

rename ccode country

***ncvalue lnncv

format award_value_euro %16.0g
gen ncvalue=award_value_euro
format ncvalue %16.0g
replace ncvalue=. if ncvalue==0
replace ncvalue=. if ncvalue<=100 | ncvalue>=50000000
gen lnncv=ln(ncvalue)
gen ncvaluex=award_value_euro
format ncvaluex %16.0g
replace ncvaluex=. if ncvalue==0
gen lnncvx=ln(ncvaluex)

***nb

destring number_offers, replace
gen nb=number_offers
replace nb=. if nb==0

***mttb

gen mttb=.
replace mttb =1 if nb> 3 & nb<200
replace mttb =0 if nb<=3

***lti

gen lti=.
replace lti=0 if top_type=="OPE"
replace lti=1 if top_type!="OPE"

***end 


***analysis
***Czechia, Estonia, Hungary, Poland, Romania, Slovakia and Austria


drop test
gen test=1 if country=="HU"
replace test=0 if country=="AT"
logit mttb test lnncv lti i.sector i.year if goodfwm3==1 & year>=2006 & year<=2010, or
logit mttb test lnncv lti i.sector i.year if goodfwm3==1 & year>=2011 & year<=2019, or

drop test
gen test=1 if country=="EE"
replace test=0 if country=="AT"
logit mttb test lnncv lti i.sector i.year if goodfwm3==1 & year>=2006 & year<=2010, or
logit mttb test lnncv lti i.sector i.year if goodfwm3==1 & year>=2011 & year<=2019, or

drop test
gen test=1 if country=="SK"
replace test=0 if country=="AT"
logit mttb test lnncv lti i.sector i.year if goodfwm3==1 & year>=2006 & year<=2010, or
logit mttb test lnncv lti i.sector i.year if goodfwm3==1 & year>=2011 & year<=2019, or

drop test
gen test=1 if country=="CZ"
replace test=0 if country=="AT"
logit mttb test lnncv lti i.sector i.year if goodfwm3==1 & year>=2006 & year<=2010, or
logit mttb test lnncv lti i.sector i.year if goodfwm3==1 & year>=2011 & year<=2019, or

drop test
gen test=1 if country=="PL"
replace test=0 if country=="AT"
logit mttb test lnncv lti i.sector i.year if goodfwm3==1 & year>=2006 & year<=2010, or
logit mttb test lnncv lti i.sector i.year if goodfwm3==1 & year>=2011 & year<=2019, or

drop test
gen test=1 if country=="RO"
replace test=0 if country=="AT"
logit mttb test lnncv lti i.sector i.year if goodfwm3==1 & year>=2006 & year<=2010, or
logit mttb test lnncv lti i.sector i.year if goodfwm3==1 & year>=2011 & year<=2019, or


***end
***

